+======================================+
   Discuz! X2 Release 20130201
+======================================+

FIX 應用中心客戶端升級， 兼容組件
FIX DIY會員模塊，個人居住地、出生地信息無法調出(13970)
FIX 修復 DIY商品模塊顯示重複數據的問題
FIX 文章查看頁用戶的編輯和刪除的權限判斷不正確的問題
FIX 加強DIY模塊模板解析時對特殊字符

FIX DIY模塊屬性設置中復選框值無法取消的問題
FIX 閱讀權限的設置問題
FIX 增加應用中心的訪問方式
FIX修復 遠程附件無法刪除的問題
FIX 附件上傳過程中問題

FIX 修正版主移除縣賞帖子時造成的積分扣減BUG
Fix 修復縮略圖生成bug
FIX 修正搜索接口可能的帖子空洞造成獲取數據失敗問題
FIX 修正由於UID未做處理引起的XSS漏洞
FIX 頻道欄目設置目錄時在ie瀏覽器下diy操作顏色面板出現404錯誤

FIX 修正日誌審核時間選擇翻頁BUG
FIX 修正QQ互聯微博來源KEY前台變量錯誤的問題
修復 重新提交模塊屬性值導致屏蔽數據失效的問題
修復 數據轉換時member表字段對應錯誤

FIX 修正用戶組遊客允許留言BUG
FIX 推送表中的字段和源數據fields中字段同名導致取值不正確的問題

+======================================+
   Discuz! X2 Release 20120628
+======================================+

FIX 修正搜索接口錯誤調用了implode()函數問題
FIX 好友申請附言問題
FIX 前台管理中已經審核通過文章，後台還是提示審核的問題
FIX QQ互聯暴露匿名帖用戶信息的問題
FIX 專題模塊可使用字段說明文字錯誤

FIX 密碼償試次數限制修改回原來的IP驗證模式
FIX 存檔後主題分頁出錯時的兼容處理
FIX DIY模塊調取含有$和\字符時模板解析出錯的問題
FIX 關於專題評論後的偽靜態鏈接錯誤問題。
FIX 修正由存檔表引起的分頁錯亂的BUG

FIX 後台管理團隊開啟允許導航設置的問題
FIX 過濾exif信息
FIX 門戶文章回覆沒有ip
FIX 道具回收按當前折扣價計算
FIX 縱橫搜索修正X2熱門話題詞獲取失敗時短時間內重複請求雲平台問題

FIX 縱橫搜索帶中文鏈接進行rawurlencode處理
FIX 修正正模塊模板只允許index[0-9]的BUG
FIX 快速回帖顯示樓層號錯誤，當主題有刪帖操作時
FIX 修復 ajax cookie 上報問題
FIX 修正版主刷積分的漏洞

FIX 群組討論區頁面無法DIY
FIX 修正遠程附件由於變量履蓋造成的地址錯誤
FIX 修復 模塊推送庫數據表分頁功能失效的問題
FIX 模塊修改屏蔽數據ID時導致屏蔽的數據失效的問題
FIX 修復 幻燈模塊在二次編輯模塊屬性時頁面DOM中不顯示內容

+======================================+
   Discuz! X2 Release 20120329
+======================================+
ADD 增加應用中心(移植自X2.5)
ADD 移植旋風存儲到X2
ADD 後台增加騰訊安全數據報表
ADD 增加騰訊安全的上報與處理接口
ADD 新增熱門話題、相關帖子功能

FIX 手機版查看專題頁面時的錯誤提示
FIX 用戶刪除了審核中的圖片，後台還是會提示
FIX 發表活動帖沒發圖片，提交後編輯添加活動圖片，無法添加
FIX 加載當前用戶組緩存時KEY判斷存在誤判的問題
FIX 防水牆：回帖白名單判斷問題

FIX 頻道文章原模塊為空時DIY操作保存失效
FIX 發送提醒支持HTML
FIX 暫時去除騰訊安全圖標的鏈接
FIX 修正邀請說明中HTML加斜桿的問題
FIX 添加插件升級文件，修改插件名稱

FIX 單主題(附件)最高收入設置無效
FIX 縱橫搜索去除多餘代碼
FIX UCenter修改用戶名問題 12014
FIX 搶樓帖到達規定樓層後主題已經關閉後刷新問題
FIX QQ互聯去掉群組裡面多餘的嵌入點

FIX 完善目錄可寫的檢測
FIX 遊客發的審核帖，遊客將不再能查看
FIX 站外url不解析時的BUG
FIX 手機版頂部導航問題
FIX 後台回收站翻頁bug

FIX 個人空間DIY模板問題
FIX 修正 IE8 下文章列表縮略圖 BUG
FIX 帖子推送到文章中的圖片不再進行權限限制，均可查看
FIX 後台日誌管理分頁參數
FIX DIY模塊  特殊主題過濾 的默認值

FIX 默認不做模板中是否包含圖片的檢查
FIX 優化onSiteGetAllUsers方法查詢
FIX 分類信息表單搜索的結果翻頁帶參數
FIX 模塊 summary長度無效
FIX threadimage tid 重複插入

FIX 因input的autofocus屬性導致在chrome瀏覽器中自動跳轉到頂部的問題
FIX QQ互聯feedlog 表同步到空間和微博的 status合併
FIX 優化QQ互聯微博簽名檔和解綁功能
FIX 管理面板刪帖不進回收站BUG
FIX 看帖頁站外分享重用論壇現有查詢，不再查數據庫

FIX 變量名seccode變量名錯誤
FIX static設置為http開頭的url時的bug
FIX 修復在帖子查看頁顯示的資料項不顯示的問題
FIX 短消息舉報
FIX 標題長度為空時，標題值為空

FIX 後台點擊訂單狀態無法查看 fix
FIX 郵箱統一判斷為32位
FIX 分類信息表單 XSS 威脅
FIX 用戶信息修改問題
FIX 家園同步表情

FIX 修正當設置閱讀權限時清容Feed主體內容
FIX 遠程調用計劃任務，不更新apc cache
FIX 群組帖子查看頁的DIY功能
FIX 用戶組到期後的處理
FIX 當版塊開啟圖片列表模式，在其版塊下也設置了分類信息【上傳圖片類型】時，編輯出錯

FIX 增加後台禁言時提醒用戶
FIX 審核回復不參與回帖獎勵
FIX 1221版本的一個斑竹刪帖的bug
FIX 個人空間分享頁面 刪除問題
FIX 修正啟用域名且同時啟用RW時帖子多入口的問題

FIX 在線時間顯示的bug
FIX IE9下inserttext修正
FIX 縱橫搜索拼接熱搜詞url時沒有對參數值進行rawurlencode的bug
FIX 論壇補充功能關閉了，還能補充
FIX 門戶添加頻道後，生成的頁面刪除欄目後無法刪除該頻道頁面。

FIX 計劃任務cron_cleanup_monthly.php多餘代碼
FIX 發送通知 郵件+html 不能解析html代碼 fix
FIX 插件模板解析問題
FIX 修改熱門話題展示樣式
FIX 修復 「朵」 「楔」等字結束添加\的問題

FIX 修正未啟用相冊分類時不顯示相冊分類
FIX 當沒有啟用相冊分類時的引發的BUG

+======================================+
   Discuz! X2 Release 20111221
+======================================+
FIX 修正刪除留言評論時沒有刪除審核記錄的BUG
FIX 修復在顯示子版塊時，子版塊域名沒有被替換的BUG
FIX DIY圖文模塊上傳的圖片不會被獲取圖片替代的問題
ADD 增加相冊分類選擇
FIX 門戶附件無法刪除

FIX 無法刪除未使用DIY模塊
FIX 在線時間超長的顯示為0
FIX 門戶文章頁，頁面調用地址錯誤
FIX 部分文件缺少IN_Discuz文件頭判斷
FIX 修復DIY所在頁面地址不正確

FIX 縱橫搜索：修改api接口導致sql錯誤的bug
FIX 外站URL屏蔽
FIX 後台添加用戶欄目傳圖功能顯示的bug
FIX 完善dfsockopen函數
FIX 用戶組中忽略審核時  禁止類關鍵詞也將被忽略

FIX 群組搜索中主題列表鏈接錯誤
ADD 支持系統插件版本更新
ADD 騰訊分析增加WAP版統計
FIX 修正在Mac下的Safari下無法上傳的BUG
FIX 刪帖回收站

FIX 修復分區和版塊單獨指定模板時，修改模板和DIY無效
FIX 修正管理員訪問加密相冊時的Ajax出錯
FIX 修改管理面版中回帖管理時的錯誤
FIX 批量刪除時，如果版塊有定制積分策略時策略選擇錯誤的BUG
FIX 優化帖子分表時的數據轉移操作

FIX 帖子生成文章以後，審核通過的內容遊客看到的是 「審核未通過」
FIX 設置主題標籤，utf-8編碼時的亂碼bug
FIX 去掉'wmode', 'transparent'屬性，在IE9下面會造成沒有辦法輸入文字的問題
FIX 修復QQ互聯用戶登錄覆蓋發帖同步設置的bug
FIX 群組發帖審核時間段不受全局限制

FIX 點評IP顯示細節
FIX 發佈活動中如果添加有多個可選值的自定義字段問題
FIX 搜索時page固定為1
FIX 2.0商品帖封面圖設置
FIX 手機模版帖子收藏頁沒有做分頁處理 問題

FIX 註冊成功郵件發送標題重複了兩次 問題
FIX 特殊主題包含chr(0)的處理
FIX 刪除單個收藏後沒有自動刷新 問題
FIX QQ互聯token檢測在某些版本IE瀏覽器下會報JSON未定義的問題
FIX 下拉菜單 -> 修正 IE 下渲染緩慢及 IE8 下鼠標 hover 時沒有背景色的 BUG

FIX 無法保證本地方式接口的完美兼容，暫時關閉
FIX 物理路徑下調用錯誤
FIX DIY輪換圖最後一張顯示後不隱藏問題
FIX 修改當輸入標題關鍵字時出現的SQL錯誤
FIX 統一處理 page 變量

FIX 帖子可以推送到活動和商品模塊
FIX 刪除影響性能的多餘代碼
FIX SQL字符轉義問題
FIX 修改溢出bug
FIX 修改兩處可能造成Flash上傳時用戶組變更的地方

FIX 郵件填寫時為大寫造成判斷錯誤的BUG
FIX 修改模板語法錯誤
FIX 筆誤導致文件名錯誤
FIX 設置遊客禁止訪問，正確登錄後跳轉路徑錯誤 問題
FIX QQ互聯: 修改論壇後台設置發帖不同步到空間或不同步到微博時，發帖頁有js報錯的問題

FIX 修改刪除用戶時的bug
FIX 更新附件時的刪除舊附件邏輯修正

+======================================+
   Discuz! X2 Release 20111010
+======================================+
FIX 修復QQ互聯token檢測失效後，發帖頁仍顯示「此主題將同步到QQ空間...」的提示問題
ADD QC向騰訊分析上報數據
FIX QQ互聯修改浮動窗分享按鈕和快速發帖的分享按鈕調用同一方法衝突的問題
ADD 新增縱橫搜索插件(cloudsearch)，並設置為系統插件
ADD 去除搜索插件的關聯操作
FIX 修正浮動窗口中的分享按鈕顯示bug
FIX 刪除臨時添加的縱橫搜索插件，需要系統插件支持並考慮現有用戶升級
FIX 修改cookie登錄上報次數錯誤、不符合預期（4次）的bug
FIX 修復版塊內進行縱橫搜索時fId參數傳遞錯誤的問題
FIX 修復縱橫搜索記錄log時對my_search_data判斷的bug及開通回調時返回值錯誤的bug
FIX 修改測試QQ互聯和縱橫搜索發現的問題
FIX DIY從簡潔模式切換到高級模式下樣式不生效的問題
FIX 修復self::關鍵字與php4不兼容問題
FIX 縱橫搜索增加插件機制
FIX QQ互聯增加驗證access token有效性和上報cookie登錄機制
FIX 查看已刪除的主題時，在threadlog表加一條action=redelete的記錄
FIX 增加用戶搜索條件過濾，原先的條件去除方法可能會導致無條件刪除用戶
FIX 開通雲平台前確認uniqueid是否存在，如果不存在則按規則生成一個
FIX 增加IN_UC判斷
FIX 修改設置附件類型時，擴展名大小寫造成附件被排除的BUG
FIX 代碼順序細節，防止模板緩存無意義增長
FIX 帖子內容頁用戶隱私設置失效 	  
FIX IE6/7 提交投票之後頁面不刷新
FIX 商品主題審核時的查看
FIX 刪除沒用的計劃任務文件
FIX 修復編輯文章時禁止評論的checkbox不顯示的問題
FIX 雲平台診斷工具中的IP地址列表改為JS從雲平台動態獲取
FIX 更新附件時的刪除舊附件邏輯修正
FIX 修復模塊縮略圖不生效的問題
ADD QQ互聯增加看帖頁劃詞分享到微博(Q-share)功能
FIX 兼容雙核瀏覽器用戶身份
FIX 批量刪除帖子時更新主題回複數：缺少單引號導致字段溢出
FIX 修復 模塊中出生城市和居住城市不能選擇的問題
FIX 修復論壇附件插入到文章下載地址錯誤
FIX 修改模塊單條數據編輯、審核、推送時的字符長度截取
FIX 修復單用戶單頻道或多頻道發佈文件時頻道欄目列表顯示不正確的問題
FIX 修復門戶管理中文章發佈按鈕權限判斷錯誤
FIX 取消縱橫搜索的跳轉，修改成直接提交數據(cloud#556, tid#9586)
FIX 活動導出尾部換行問題
FIX 給活動帖看貼頁「我要參加」彈窗限制最大高度
FIX 修改浮動窗點擊分享到空間、微博按鈕無效的bug
FIX 更新附件 非圖片附件的大小入庫為0
FIX 帖子合併時tableid未更新
FIX 分類信息SELECT字段中的文字檢索出現重選問題 修改
FIX 後台內容審核 搜索條件丟失bug修改
FIX QQ群後台推送IE9兼容性問題
FIX 群組看帖裡面 的返回列表 鏈接，點擊回到了 論壇首頁
FIX 修改回帖獎勵積分的BUG，問題需要進一步跟進

+======================================+
   Discuz! X2 Release 20110817
+======================================+
ADD QQ互聯 - 微博簽名檔
ADD 騰訊分析技巧提示文字更新
ADD 騰訊分析後台圖標設置頁面調整，騰訊分析前台JS增加新統計參數
FIX 分類信息select框，在編輯帖子狀態下，會多出一個select 問題
FIX 更新插件以及版本號
FIX 統一後台menu的獲取雲服務列表方法
FIX 修改搜索變量進行htmlspecialchars
FIX 將版塊列表、用戶組權限等信息緩存起來
FIX 修復搜索狀態字段判斷沒有更新的問題
FIX 圖片延時加載設置
FIX 移除搜索參數里傳遞的openid
FIX 附件管理程序錯誤
FIX 遊客允許訪問漫遊首頁，但無權操作
FIX 帖子高級搜索搜不到的BUG
FIX 關閉認證時允許修改相關的資料項
FIX 空間查看數字段不正確
FIX 修正由於用戶在後台填寫大寫的郵箱，校驗失敗的問題
FIX 限定當選擇框中的字符串不為字母時，返回空值
FIX 24小時評分限制的BUG
FIX 水印後圖片大小錯誤
FIX 修覆文章管理中模塊的推送權限問題
FIX 修正上傳圖片需要審核時直接寫入數據庫的BUG
FIX 修正UTF-8下面提示的信息沒有策略名稱
FIX 修正雲平台API常量判斷錯誤BUG
FIX 一個模塊在一個頁面中多次使用時的sql錯誤
FIX 去除自動交易結束的代碼
FIX 修復搶樓規則*號不個位數樓層的問題（如*2）
FIX 修復 歡迎新會員會員名轉義
FIX 翻頁時主題分類的問題
FIX [img]和[flash]中url被自動解析問題修改
FIX 全並主題後無法編輯的問題
FIX 搶樓帖編輯時會鎖上的問題
FIX 修正允許完全踢除欄目分類
FIX 創始人進入後台的標誌位
FIX SCRIPT_NAME 的獲取方法
FIX 修正放棄任務的BUG造成可以放棄已完成的任務達到重複領獎
FIX DIY模塊調用分類信息數據時出現Array
FIX 家園被關閉時跳轉地址錯誤
FIX 修正遷移雲平台程序移值的BUG， 及優化代碼
FIX 可選名稱顯示位置錯誤
FIX 驗證碼顯示問題
FIX 清除common_modrate表中無效的回帖記錄
FIX 提示審核數量不包含已忽略記錄
FIX 活動不支持file類型的用戶欄目字段
FIX 後台附件管理搜索天數
FIX 版塊添加主題分類
FIX 校驗dreferer的域名，防止XSS注入
FIX 修復模塊權限：可推送數據且不需要審核的權限既有管理數據的功能，但沒有管理屬性的功能
FIX 修復管理員在前台管理中只能查看自己的文章
FIX 修改支付寶簽約地址
FIX 因插件的模板導致分區自定義風格失效
FIX 管理人員字段標記為不正確的問題
FIX 在圖片寬度為0的時候，使用縮略方式，使用圖片的默認寬度，不強制指定圖片的寬度
FIX 修正跳樓和回帖置頂  與倒序看帖之間的問題
FIX 修正站點關閉狀態下，用戶可以註冊的問題
FIX 更新設置IP的方法不判斷是否開啟雲平台
FIX 修正部分隱藏的安全問題
FIX 修改默認安全設置, 禁止 msyql 當中使用註釋

+======================================+
   Discuz! X2 Release 20110629
+======================================+

FIX Flash標籤代碼屬性
FIX 修正QQ互聯在獲取同步Feed狀態位出錯問題
FIX bbcode 標籤嵌套引起的錯誤
FIX 當帖子被關閉時，允許顯示
FIX 修改通過ucenter備份論壇數據bug
FIX 修復後台導出用戶csv文件信息不對稱
FIX 勳章細節
FIX 解決程序中沒有移除membermerage引用造成的500錯誤
FIX 數組合併運算的BUG
FIX 文件可寫權限檢查導致內容溢出，只權限指定目錄，取消子目錄的查檢
FIX 群組內置的附件模塊轉換為群組帖子模塊
FIX 更新Manyou接口, 接口版本號更新至0.4
FIX 禁用在應用頁面使用返回頂部，在這個頁面會造成Flash渲染問題
FIX 修改遊客時顯示左側導航，解決錯位問題
FIX 修正搶樓帖中*號匹配所有樓層
FIX archiver 域名前綴防止重複收錄
FIX 發主題時下載遠程圖片仍然提示至少要發一張圖
FIX 後台搜索用戶管理統計信息的鏈接問題
FIX 會員每小時發帖數限制功能
FIX 解決前台審核用戶否決無效
FIX 頭部個人信息部分樣式優化
FIX 帖子用戶名修改bug修改
FIX 修正已知的安全問題
+======================================+
   Discuz! X2 Release 20110521
+======================================+
Discuz! X2 在繼承和完善 Discuz! X1.5 「經典」宗旨的基礎上，
針對「運營拓展」、「負載性能」、「用戶體驗」和「管理體驗」幾大方
面，全面優化和打造, 功能改進多達300餘項。
重點功能:
A 性能優化內置完善的解決方案，繼續提升產品負載能力
B 短消息增加多人會話模式，並支持後台批量搜索管理
C 門戶DIY新增簡潔模式，全面開放，支持第三方產品以API模式接入
D 全新的手機版
E 支持自定義規則的充值卡系統
F 優化產品SEO體系
G 群組支持合併
H 專題內置評論功能
I 讓門戶的專題功能增加互動評論功能，可以使站內的優勢資源產生多層評價
J 帖子中的網絡圖片一鍵下載到本地
K 主題分類增加權限控制
L 搶樓貼更加智能
M 引用回復與點評的融合改進
N 內置Discuz! 雲平台
O 權限可控制的標籤功能，熱帖推薦更加方便
P 用戶登錄／註冊體驗改進
Q 貼圖版塊支持以圖片模式展示
R 全新的帖子埋紅包，回帖自動送獎勵帖子模式
S 分類信息字段增加多級聯動選擇支持
T「版塊視圖」模式支持顯示其他版塊，群組帖子功能
U 提醒體驗全面改造
V 詞語過濾支持分組，並支持大數據量替換
W 邀請註冊支持在線購買邀請碼
X 站長後台管理體驗大幅優化

改進詳情請見： http://dev.discuz.org/doing.php

+--------------------------------------+
往日版本( Old Vision )
+--------------------------------------+
Discuz! X1 Beta Release 20100501
Discuz! X1 Release 20100518
Discuz! X1 Release 20100601
Discuz! X1 Release 20100613
Discuz! X1 Release 20100723
Discuz! X1.5RC Release 20100901
Discuz! X1.5